%define major		2
%define libname		%mklibname %name %major
%define libnamedev	%mklibname %name -d

Summary: 	NASL binding for OpenVAS
Name:		openvas-libnasl
Version:	2.0.2
Release:	%mkrel 1
Source:		http://wald.intevation.org/frs/download.php/561/%name-%version.tar.gz
Patch0:		openvas-libnasl-2.0.1-fix-linkage.patch
Group:		System/Libraries
Url:		http://www.openvas.org
License:	LGPLv2+
BuildRoot:	%{_tmppath}/%name-%{version}-root
BuildRequires:	openvas-devel >= 2.0
BuildRequires:	gpgme-devel
BuildRequires:	bison

%description
This is the libraries module for the Open Vulnerability Assessment System
(OpenVAS) containing support for the NASL scripting languague.

%package -n	%{libname}
Summary:	Main library for openvas-libnasl
Group:		System/Libraries

%description -n %{libname}
This is the libraries module for the Open Vulnerability Assessment System
(OpenVAS) containing support for the NASL scripting languague.

%package -n     %{libnamedev}
Summary:        Headers for developing programs that will use openvas-libnasl
Group:          Development/C
Requires:       %{libname} = %{version}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{libnamedev}
This is the libraries module for the Open Vulnerability Assessment System
(OpenVAS) containing support for the NASL scripting languague.

%prep
%setup -q -n %name-%version
%patch0 -p0

%build
%configure2_5x --disable-static
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

find %{buildroot} -name *.la -exec %__rm {} \;

%multiarch_binaries %{buildroot}%{_bindir}/%{name}-config

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/openvas-nasl
%{_mandir}/man1/openvas-nasl.1.*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/lib*.so.%{major}*

%files -n %{libnamedev}
%defattr(-,root,root)
%{_bindir}/%{name}-config
%multiarch %{multiarch_bindir}/%{name}-config
%{_mandir}/man1/%{name}-config.1.*
%{_includedir}/openvas/*.h
%{_libdir}/*.so


%changelog
* Wed Aug 19 2009 Frederik Himpe <fhimpe@mandriva.org> 2.0.2-1mdv2010.0
+ Revision: 418318
- Update to new version 2.0.2

* Fri May 01 2009 Funda Wang <fundawang@mandriva.org> 2.0.1-1mdv2010.0
+ Revision: 369923
- import openvas-libnasl


